#%d efine prever RC2

Name:          libtheora
Version:       1.1.1
Release:       1mamba
Summary:       Theora video compression codec
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Aleph0 <aleph0@openmamba.org>
URL:           http://www.theora.org/
Source0:       http://downloads.xiph.org/releases/theora/libtheora-%{version}%{?prever}.tar.bz2
# missing from tarball
Source1:       dct_decode_mmx.c
Patch0:        libtheora-1.0RC2-docdir.patch
Patch1:        libtheora-1.0beta3-undef-nonweak-symbols.patch
License:       BSD
BuildRequires: libalsa-devel
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libogg-devel
BuildRequires: libpng-devel
BuildRequires: libSDL-devel
BuildRequires: libvorbis-devel
## AUTOBUILDREQ-END
BuildRequires: doxygen
BuildRequires: tetex-latex 
BuildRequires: transfig
BuildRoot:     %{_tmppath}/%{name}-%{version}-root
#  libtheora 1.0:  Automatic configuration OK.

 # General configuration:

 #   Encoding support: ........... yes
 #   Floating point support: ..... yes
 #   Assembly optimization: ...... 32 bit x86
 #   Build example code: ......... yes
 #   API Documentation: .......... yes
 #   Format Documentation: ....... yes

#  Installation paths:

 #   libtheora: ................... /usr/lib
 #   C header files: .............. /usr/include/theora
 #   Documentation: ............... /usr/share/doc/libtheora

%description
Ogg Theora is a fully open, non-proprietary, patent-and-royalty-free, general-purpose compressed video format.

%package     devel
Summary:     Headers for developing programs that will use libtheora
Group:       Development/Libraries
Requires:    %{name} = %{?epoch:%epoch:}%{version}-%{release}

%description devel
Ogg Theora is a fully open, non-proprietary, patent-and-royalty-free, general-purpose compressed video format.

This package contains the headers that programmers will need to develop applications which will use %{name}.

%package     tools
Summary:     Command line tools for Theora videos
Group:       Applications/Multimedia
Requires:    %{name} = %{?epoch:%epoch:}%{version}-%{release}

%description  tools
Ogg Theora is a fully open, non-proprietary, patent-and-royalty-free, general-purpose compressed video format.

The %{name}-tools package contains simple command line tools for use with theora bitstreams

%prep
#%{?prever}
%setup -q -n %{name}-%{version}
#if [ ! -f lib/enc/x86_64/dct_decode_mmx.c ] ; then
#	cp %{S:1} lib/enc/x86_64
#fi
#%patch0 -p1
#%patch1 -p1

sed -i 's/CFLAGS="$CFLAGS $cflags_save"/CFLAGS="$cflags_save"/g' configure

%build
%configure --enable-shared --disable-static
# Don't use rpath!
sed -i 's|^hardcode_libdir_flag_spec=.*|hardcode_libdir_flag_spec=""|g' libtool
sed -i 's|^runpath_var=LD_RUN_PATH|runpath_var=DIE_RPATH_DIE|g' libtool
%make
make -C doc/spec

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall

#rm -r %{buildroot}%{_docdir}/*

mkdir -p %{buildroot}%{_bindir}
install -m 755 examples/.libs/dump_video %{buildroot}%{_bindir}/theora_dump_video
install -m 755 examples/.libs/encoder_example %{buildroot}%{_bindir}/theora_encode
install -m 755 examples/.libs/player_example %{buildroot}%{_bindir}/theora_player
install -m 755 examples/.libs/png2theora %{buildroot}%{_bindir}/png2theora

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%{_libdir}/libtheora.so.*
%{_libdir}/libtheoradec.so.*
%{_libdir}/libtheoraenc.so.*
%doc README COPYING

%files devel
%defattr(-,root,root)
%dir %{_includedir}/theora
%{_includedir}/theora/*.h
%{_libdir}/libtheora.la
%{_libdir}/libtheoraenc.la
%{_libdir}/libtheoradec.la
%{_libdir}/libtheoradec.so
%{_libdir}/libtheoraenc.so
%{_libdir}/libtheora.so
%{_libdir}/pkgconfig/theora.pc
%{_libdir}/pkgconfig/theoradec.pc
%{_libdir}/pkgconfig/theoraenc.pc
#%doc %{_datadir}/doc/%{name}-%{version}%{?prever}/
%doc doc/libtheora/html doc/vp3-format.txt doc/spec/Theora.pdf
%doc doc/color.html doc/draft-ietf-avt-rtp-theora-00.txt
#%doc doc/libtheora/latex

%files tools
%defattr(-,root,root)
%{_bindir}/png2theora
%{_bindir}/theora_dump_video
%{_bindir}/theora_encode
%{_bindir}/theora_player

%changelog
* Sat Dec 11 2010 Silvan Calarco <silvan.calarco@mambasoft.it> 1.1.1-1mamba
- update to 1.1.1

* Fri Jan 02 2009 gil <puntogil@libero.it> 1.0-6mamba
- fixed some error in the spec file

* Wed Dec 31 2008 gil <puntogil@libero.it> 1.0-5mamba
- update to 1.0RC2
- added package tools

* Tue Jun 12 2007 Aleph0 <aleph0@openmamba.org> 1.0-4mamba
- update to 1.0alpha7
- new package mantainer
- run ldconfig
- do not build libtheora.a

* Tue Jun 14 2005 Davide Madrisan <davide.madrisan@qilinux.it> 1.0-3qilnx
- package updated (version 1.0alpha4)
- added documentation to devel package

* Sat Oct 02 2004 Davide Madrisan <davide.madrisan@qilinux.it> 1.0-2qilnx
- specfile modified to match QiLinux standards

* Sun Sep 19 2004 Matteo Bernasconi <voyagernm@virgilio.it> 1.0-1qilnx
- first build
